
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>COM组件设计与应用(十二)——错误与异常处理 / iVAN</title>

    <meta name="description" content="COM组件设计与应用(十二)——错误与异常处理 本文配套源码 一.前言 程序设计中,错误处理必不可少,而且通常要占用很大的篇幅.本回书着落在 COM 中的错误(异常)的处理方法. 在组件程序中,如果遇到错误,一般有两个方式进行处理. 二.简单返回 对于比较简单的错误,直接返回表示错误原因的 HRESULT.比如下面几个就是常见的错误值: E_INVALIDARG 0x80070057 参数错误 E_OUTOFMEMORY 0x8007000E 内存错误 E_NOTIMPL 0x80004001 未实现 E_POINTER 0x80004003">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">COM组件设计与应用(十二)——错误与异常处理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文配套源码</p>
<p>一、前言</p>
<p>程序设计中，错误处理必不可少，而且通常要占用很大的篇幅。本回书着落在 COM 中的错误（异常）的处理方法。</p>
<p>在组件程序中，如果遇到错误，一般有两个方式进行处理。</p>
<p>二、简单返回</p>
<p>对于比较简单的错误，直接返回表示错误原因的 HRESULT。比如下面几个就是常见的错误值：</p>
<table>
<tbody>
<tr>
<td>E_INVALIDARG</td>
<td>0x80070057</td>
<td>参数错误</td>
</tr>
<tr>
<td>E_OUTOFMEMORY</td>
<td>0x8007000E</td>
<td>内存错误</td>
</tr>
<tr>
<td>E_NOTIMPL</td>
<td>0x80004001</td>
<td>未实现</td>
</tr>
<tr>
<td>E_POINTER</td>
<td>0x80004003</td>
<td>无效指针</td>
</tr>
<tr>
<td>E_HANDLE</td>
<td>0x80070006</td>
<td>无效句柄</td>
</tr>
<tr>
<td>E_ABORT</td>
<td>0x80004004</td>
<td>终止操作</td>
</tr>
<tr>
<td>E_ACCESSDENIED</td>
<td>0x80070005</td>
<td>拒绝访问</td>
</tr>
<tr>
<td>E_NOINTERFACE</td>
<td>0x80004002</td>
<td>不支持接口</td>
</tr>
</tbody>
</table>
<p>另外，你还可以返回自己构造 HRESULT 错误值。方法是使用宏 MAKE_HRESULT(sev,fac,code)</p>
<table>
<tbody>
<tr>
<td>参数</td>
<td>含义</td>
<td>值（二进制）</td>
</tr>
<tr>
<td>
            <br />sev 严重程度</p>
</td>
<td>成功</td>
<td>00</td>
</tr>
<tr>
<td>成功，但有一些报告信息</td>
<td>01</td>
</tr>
<tr>
<td>警告</td>
<td>10</td>
</tr>
<tr>
<td>错误</td>
<td>11</td>
</tr>
<tr>
<td>
            <br />fac 设备信息</p>
</td>
<td>FACILITY_AAF</td>
<td>00000010010</td>
</tr>
<tr>
<td>FACILITY_ACS</td>
<td>00000010100</td>
</tr>
<tr>
<td>FACILITY_BACKGROUNDCOPY</td>
<td>00000100000</td>
</tr>
<tr>
<td>FACILITY_CERT</td>
<td>00000001011</td>
</tr>
<tr>
<td>FACILITY_COMPLUS</td>
<td>00000010001</td>
</tr>
<tr>
<td>FACILITY_CONFIGURATION</td>
<td>00000100001</td>
</tr>
<tr>
<td>FACILITY_CONTROL</td>
<td>00000001010</td>
</tr>
<tr>
<td>FACILITY_DISPATCH</td>
<td>00000000010</td>
</tr>
<tr>
<td>FACILITY_DPLAY</td>
<td>00000010101</td>
</tr>
<tr>
<td>FACILITY_HTTP</td>
<td>00000011001</td>
</tr>
<tr>
<td>FACILITY_INTERNET</td>
<td>00000001100</td>
</tr>
<tr>
<td>FACILITY_ITF</td>
<td>00000000100</td>
</tr>
<tr>
<td>FACILITY_MEDIASERVER</td>
<td>00000001101</td>
</tr>
<tr>
<td>FACILITY_MSMQ</td>
<td>00000001110</td>
</tr>
<tr>
<td>FACILITY_NULL</td>
<td>00000000000</td>
</tr>
<tr>
<td>FACILITY_RPC</td>
<td>00000000001</td>
</tr>
<tr>
<td>FACILITY_SCARD</td>
<td>00000010000</td>
</tr>
<tr>
<td>FACILITY_SECURITY</td>
<td>00000001001</td>
</tr>
<tr>
<td>FACILITY_SETUPAPI</td>
<td>00000001111</td>
</tr>
<tr>
<td>FACILITY_SSPI</td>
<td>00000001001</td>
</tr>
<tr>
<td>FACILITY_STORAGE</td>
<td>00000000011</td>
</tr>
<tr>
<td>FACILITY_SXS</td>
<td>00000010111</td>
</tr>
<tr>
<td>FACILITY_UMI</td>
<td>00000010110</td>
</tr>
<tr>
<td>FACILITY_URT</td>
<td>00000010011</td>
</tr>
<tr>
<td>FACILITY_WIN32</td>
<td>00000000111</td>
</tr>
<tr>
<td>FACILITY_WINDOWS</td>
<td>00000001000</td>
</tr>
<tr>
<td>FACILITY_WINDOWS_CE</td>
<td>00000011000</td>
</tr>
<tr>
<td>
            <br />code 唯一错误码</p>
</td>
<td>16位(bit) 你自己定义去吧</td>
<td>　</td>
</tr>
</tbody>
</table>
<p>调用者得到返回的 HRESULT 值后，也可以使用宏 HRESULT_SEVERITY()、HRESULT_FACILITY()、HRESULT_CODE() 来取得sev错误程度、fac设备信息和 code 错误代码。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 16:49:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%94%99%e8%af%af/" title="错误">错误</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e6%95%88/" title="无效">无效</a>, <a href="https://www.iamivan.net/tag/hresult-e_fail/" title="hresult e&lowbar;fail">hresult e&lowbar;fail</a>, <a href="https://www.iamivan.net/tag/mediaserver/" title="mediaserver">mediaserver</a>, <a href="https://www.iamivan.net/tag/hresult/" title="hresult">hresult</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>COM组件设计与应用(十二)——错误与异常处理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxARAb.html" rel="bookmark">COM组件设计与应用&lpar;十四&rpar;&mdash;&mdash;事件和通知&lpar;vc&period;net&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文配套源码 一.前言 我的 COM 组件运行时产生一个窗口,当用户双击该窗口的时候,我需要通知调用者: 我的 COM 组件用线程方式下载网络上的一个文件,当我完成任务后,需要通知调用者: 我的 COM 组件完成一个钟表的功能,当预定时间到达的时候,我需要通知调用者: ... ... ... ... 本回书开始话说 COM 的事件.通知.连接点......这些内容比较多,我分两次(共四回)来介绍. 二.通知的方法 当程序甲方内部发生了某个事件的时候,需要通知乙方,无非使用几个方法: 通知方式 简			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL2RKb.html" rel="bookmark">COM组件设计与应用&lpar;十八&rpar;&mdash;&mdash;属性包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文配套源码 一.前言 书接上回,本回着落在介绍属性包 IPersistPropertyBag 接口的实现方法和调用方式.属性包,是以&quot;名称 - 值&quot;的方式提供组件持续性的支持,而&quot;名称 - 值&quot;恰恰又适合于用文本方式来表现.下面的片段是在 HTML 中插入 Microsoft MonthView Control ActiveX 控件后的样式: &lt;object classid=&quot;clsid:232E456A-87C3-11D1-8BE3-0000F8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK4R1M.html" rel="bookmark">COM组件设计与应用&lpar;十六&rpar;&mdash;&mdash;连接点&lpar;vc&period;net&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文配套源码 一.前言 上回书介绍了回调接口,在此基础上,我们理解连接点就容易多了. 二.原理 图一.连接点组件原理图.左侧为客户端,右侧为服务端(组件对象) 看着好复杂呀......呵呵,其实简单的紧:(注1) 1.一个 COM 组件,允许有多个连接点对象(IConnectionPoint). 也就是说可以有多个发生&quot;事件&quot;的源头.上图就有3个连接点: 2.管理这些连接点的接口叫&quot;连接点容器&quot;(IConnectionPointContainer). 连接点容器接口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKRmVp.html" rel="bookmark">COM组件设计与应用&lpar;十五&rpar;&mdash;&mdash;连接点&lpar;vc6&period;0&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文配套源码 一.前言 上回书介绍了回调接口,在此基础上,我们理解连接点就容易多了. 二.原理 图一.连接点组件原理图.左侧为客户端,右侧为服务端(组件对象) 看着好复杂呀......呵呵,其实简单的紧:(注1) 1.一个 COM 组件,允许有多个连接点对象(IConnectionPoint). 也就是说可以有多个发生&quot;事件&quot;的源头.上图就有3个连接点: 2.管理这些连接点的接口叫&quot;连接点容器&quot;(IConnectionPointContainer). 连接点容器接口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEEZ7b.html" rel="bookmark">Silverlight游戏设计&lpar;Game Design&rpar;&colon;&lpar;十二&rpar;帝国时代II&lpar;Demo&rpar; 之&OpenCurlyDoubleQuote;战争艺术&rdquo;①</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				即时战略类型游戏因其精确的微操,宏大的场面以及丰富的策略元素广受玩家的爱戴,&lt;沙丘魔堡II &gt;开创了真正意义上的即时战略游戏形态,之后Westwood创生了&lt;命令与征服&gt;系列加之暴雪的&lt;魔兽争 霸&gt;及&lt;星际争霸&gt;系列瞬间将RTS的发展推向高潮.就是在这样的氛围下,微软的&lt;帝国时代&gt;系列孕 育而生,踏着人类文明进步的足迹,陪伴我度过了高中那个人生转折的年代. 本节,我将为大家讲解的是利用场景编辑器搭建的帝国时代2游戏Demo. 即时战略游戏最大的特			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ykRBz.html" rel="bookmark">数据库组件 Hxj&period;Data （十二） （模糊查询、简单的in&comma;not in查询）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条件的生成都是通过对表中字段进行的. 比如: Products._.UnitPrice &gt; 1 Products._.CategoryID == 2 这些是简单的比较. 下面来介绍通过like 模糊查询该怎么做. 先上代码, Products._.ProductName.Contain(&quot;apple&quot;) 这句等效sql就是(sqlserver) productname like '%apple%' 就是完全模糊搜索. Products._.ProductName.BeginWit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZK16b.html" rel="bookmark">学院观点：网页设计中的十大新错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误|设计|网页|网页设计 曾经我指出的网页设计中的十大错误,至今在很多站点上依然可见,并且影响着页面的可用性.也就是说,这三年来情况并未得到多大改善. 不幸的是,新的网络技术及其应用导致了一个全新层次的错误.以下是其中最严重的十个. 一. 破坏或减慢&quot;后退&quot;按钮 (我的看法:有时候对页面的适当控制是必须的.) &quot;后退&quot;按钮是网络用户的生命线,同时也是继超文本连接后最常使用的导航特征.用户可以随意尝试网页所指向的任何地方,而只需点击一两次&quot;后退&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVPY1z.html" rel="bookmark">网页设计中的十大新错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				曾经我指出的网页设计中的十大错误,至今在很多站点上依然可见,并且影响着页面的可用性.也就是说,这三年来情况并未得到多大改善. 不幸的是,新的网络技术及其应用导致了一个全新层次的错误.以下是其中最严重的十个. 一. 破坏或减慢&quot;后退&quot;按钮 (我的看法:有时候对页面的适当控制是必须的.) &quot;后退&quot;按钮是网络用户的生命线,同时也是继超文本连接后最常使用的导航特征.用户可以随意尝试网页所指向的任何地方,而只需点击一两次&quot;后退&quot;按钮就可以回到系统已经保存的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL1wOM.html" rel="bookmark">微信小程序把玩（二十二）action-sheet组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:微信小程序把玩(二十二)action-sheet组件 action-sheet组件是从底部弹出可选菜单项,估计也是借鉴IOS的设计添加的,action-sheet有两个子组件, action-sheet-item为每个选项,action-sheet-cancel取消选项,与action-sheet-item中间会有间隔,并且点击会触发action-sheet监听事件 主要属性: wxml &lt;!--触发action-sheet事件--&gt; &lt;button type=&quot;prim			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWwGjM.html" rel="bookmark" class="title">利用通道保细节抠出细腻的发丝</a>
					<div>
						通道抠图是非常快的,不过背景稍微复杂一点的头发抠图就要分步,分段去处理.从素材图可以看出人物头发周围的明暗不一致,需要把稍亮的及稍暗的部分分开用通道提亮,这样才能保住更多的发丝细节. 原图 最终效果  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2w6VM.html" rel="bookmark" class="title">如何使用Microsoft FrontPage 2000制作动态按钮</a>
					<div>
						frontpage|按钮|动态 你一定看到过很多网页上的动态按钮效果,一般而言实现它需要后台的JavaScript(或VBScript)网页脚本语言支持,对于只懂使用初级的&quot;所见即所得&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMreoWb.html" rel="bookmark" class="title">让我感觉很爽的CachedRowSet</a>
					<div>
						cache 作者:fbysssBlog:blog.csdn.net/fbysss声明:本文章由fbysss原创,转载或引用请注明引用地址. 问题:在DBmanager.java中写了一个getResu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD2dXM.html" rel="bookmark" class="title">COM&plus; Web 服务：通过复选框路由到 XML Web Services&lpar;2&rpar; （微软中国）</a>
					<div>
						services|web|xml|复选框|微软 事务性组件示例简单的计算器远算不上工作量繁重的业务应用程序,因此我们现在考虑带有对象池的适于 COM+ 事务性组件的应用程序.最容易管理和配置的组件是由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB26qab.html" rel="bookmark" class="title">简介IBM SmartCloud Enterprise V2&period;2 中的新 API</a>
					<div>
						IBM SmartCloud Enterprise V2.2 通过解决方案门户网站的图形用户界面 (GUI) 和应用程序编程接口 (API)介绍了一些可供用户使用的新特性.在本文中,我们主要关注 AP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKYN3M.html" rel="bookmark" class="title">PS教你合成炫酷的超级英雄电影海报</a>
					<div>
						  如果有看不懂的地方可以随时留言. 一.思路分析 首先我们搜集了一些关于超级英雄这类主题的电影海报,分析这些海报的特点,我们总结出这类海报一般都包括种8种元素:武器.建筑物.火焰或者爆炸.雨滴.烟雾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42YEJM.html" rel="bookmark" class="title">笔记本有线无线同时连如何设置有线网络优先</a>
					<div>
						笔记本易于携带,为我们的工作和生活带来了许多便利.但是本本在有线网络和无线网络同时连接时,系统就会优先选择使用无线网络.系统的这种默认设置,真的是不符合我们的使用习惯,毕竟有线网络的网速比无线要快一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oXj7b.html" rel="bookmark" class="title">win8系统没有休眠选项怎么办？</a>
					<div>
						  1.通过Win+R键调出运行对话框,然后在运行窗口中输入gpedit.msc命令,打开本地组策略编辑器. 2.在Win8系统本地组上,展开&quot;计算机配置&quot;-&quot;管理模板& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwrqKb.html" rel="bookmark" class="title">U盘FAT32与NTFS的优缺点分析</a>
					<div>
						  一. FAT32文件系统 FAT32使用4个字节(也就是32位)的空间来表示每个扇区(Sector)配置文件的情形,故称之为FAT32.FAT16的分区容量上限是2047MB,而FAT32的分区容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQjeAp.html" rel="bookmark" class="title">《Java并发编程从入门到精通》显示锁Lock和ReentrantLock</a>
					<div>
						作者:张振华    购买链接:天猫商城  JD商城  当当书店   显示锁Lock和ReentrantLock Lock是一个接口提供了无条件的.可轮询的.定时的.可中断的锁获取操作,所有加锁和解锁的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA3EKM.html" rel="bookmark" class="title">linux下so动态链接库找不到函数符号问题</a>
					<div>
						问题描述 linux下so动态链接库找不到函数符号问题 大型嵌入式软件开发,静态库和动态库同时使用,部分.c文件和.c++文件由于bin超大会编译成动态库,在编译链接时无任何错误,但是实际运行时经常发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7OQWM.html" rel="bookmark" class="title">spring集成openJAP的问题</a>
					<div>
						问题描述 最近在学习openJPA,做的小demo老是报错,请教一下,代码如下:persistence.xml&lt;?xmlversion=&quot;1.0&quot;encoding=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4042Pz.html" rel="bookmark" class="title">数据库中的dData型如何</a>
					<div>
						问题描述 在使用c#程序连接sql2005数据库中,有个问题请教?LeaveDateTime为数据库表中的列项,属性为Data型,现在在c#中用dataReader[&quot;LeaveDateTi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z6nrp.html" rel="bookmark" class="title">非法关闭浏览器</a>
					<div>
						问题描述 当用户直接浏览器时,或者从任务管理器中直接关闭浏览器如何捕捉关闭浏览器的这一个动作,以方便清空一些状态.第二是如何捕捉用户按了浏览器工具栏上边的back 解决方案 解决方案二:帮LZ顶					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY572rM.html" rel="bookmark" class="title">win7装oracle 10g时&OpenCurlyDoubleQuote;程序异常终止，发生内部错误的提示&rdquo;解决方法</a>
					<div>
						在安装Oracle 10g数据库时发生了错误,以前windows7上安装从来没出过的错误,现在把解决问题的方法和原因分享给大家. 安装出现的现象: 1.安装默认的路径与以前有所不同. 以前:D:ora ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R6o6z.html" rel="bookmark" class="title">【开篇】自我介绍和博客未来规划</a>
					<div>
						开篇介绍和博客未来规划 一.自我介绍       大家好 我叫田帅萌,英文名字叫tplinux.我服务于云和恩墨,主要工作是负责MySQL相关内容的交付工作.我个人主要对MySQL.redis.mon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZPWep.html" rel="bookmark" class="title">《神兵传奇》17日首次移民详情</a>
					<div>
						久游网武侠3D网游&lt;神兵传奇&gt;真实再现了千年华夏景观与激战饕餮盛宴,赢得无数玩家追捧.为了让玩家更好地体验到竞争的快感,有机会和其他服的高手同台竞技,官方特于11月17日10:00到20: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRllkp.html" rel="bookmark" class="title">卡巴斯基发现比特币挖矿恶意程序</a>
					<div>
						根据国外媒体报道称,卡巴斯基实验室最近发现了一个新的恶意程序,这一恶意程序通过点击链接的方式在Skype网络上进行大肆传播,当有用户点击这个链接之后将会自动从网络上下载一款比特币的矿工应用,然后当作肉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkvLOp.html" rel="bookmark" class="title">asp&period;net TextBox控件设置ReadOnly后，不能回传。&lowbar;实用技巧</a>
					<div>
						很奇怪,以前都没有过这样的怪问题,在别人机器上都能正常,想到可能和ASP.NET的版本有关系. 我用的是 ASP.NET 2.0,当改成 ASP.NET 1.0,就正常了,TextBox控件ReadO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA62jAp.html" rel="bookmark" class="title">我们用ibeacon玩什么？</a>
					<div>
						系列一:定位.导航.消息推送与环境感应 我们行业的资深ibeacon玩家将用五个系列为您奉献关于这项新技术的新玩法,本系列我们讲讲最受关注的几个功能: 一.定位 采用 iBeacon 协议进行定位,定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgWAOz.html" rel="bookmark" class="title">汇鼎国际80后总裁Steven：10万4年滚翻100倍</a>
					<div>
						侯国楠-档案 出生年月:1983.1.7 籍贯:桂林 职务:汇鼎国际集团总裁 经历:2006年创立香港汇鼎国际集团,任总裁:2008年成立SNOKO和ChinabizPie两家全资子公司:2009年成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wJBaz.html" rel="bookmark" class="title">工业物联网三大风险解析</a>
					<div>
						几乎任何支持无线的设备都有可能受到黑客攻击,从冰箱之类的厨房电器到军用无人机,不一而足.但是虽然具体的物联网设备其安全性令人颇为担忧,可是有一个方面可能尤其容易受到攻击,那就是SCADAfence这家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJer7qp.html" rel="bookmark" class="title">19&period;5&percnt;&percnt;！韩华Q CELLS多晶光伏组件效率刷新纪录</a>
					<div>
						韩华Q CELLS成为首家多晶太阳能光伏组件效率达到19.5%的太阳能公司,刷新世界纪录.此项效率新纪录已经获得弗劳恩霍夫CalLab实验室认证. 太阳能电池后侧钝化及附加组件技术特性 这是光伏历史上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW91op.html" rel="bookmark" class="title">从移动宽带到数字化服务的转型之路</a>
					<div>
						一.移动产业演进路线图 每当我们讨论移动互联网总是充满歧义.2008年之前,这个词通常指WAP或者i-mode,又被成为围墙花园.在研究文献里围墙花园默认是运营商控制的.2008年后,随着iOS和An ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0eAaM.html" rel="bookmark" class="title">3Q大战&OpenCurlyDoubleQuote;第二季&rdquo;上演 腾讯入股金山再起风云</a>
					<div>
						冤家路窄,3Q大战&quot;死灰复燃&quot;.日前,腾讯公司称自今年1月起Q Q电脑管家已经至少连续3次遭到360&quot;暗杀&quot;.3Q双方在微博上重启舌战,腾讯再次上书至主管部门. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvkJdb.html" rel="bookmark" class="title">释放内存</a>
					<div>
						在Linux系统下,我们一般不需要去释放内存,因为系统已经将内存管理的很好.但是凡事也有例外,有的时候内存会被缓存占用掉,导致系统使用SWAP空间影响性能,此时就需要执行释放内存(清理缓存)的操作了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOWWmM.html" rel="bookmark" class="title">搜索和上下文关联中的行销机会（二）</a>
					<div>
						关键词广告需要技术对点击有效结果进行跟踪研究,广告宣传活动的目的是实现关键词流量购买 利润的最大化.在第一部分中,我们谈到了这个问题,但包括最大化网页浏览,以及转换到其它利 润驱动行为利润的最大化.许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5O6xDb.html" rel="bookmark" class="title">如何做好行业网站的资讯？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一个成熟的行业门户网站,可以影响到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPO0qrM.html" rel="bookmark" class="title">求吧这段代码转换层c&num; 代码</a>
					<div>
						问题描述 publicclassRSAHelper{privatestaticPublicKeya(StringparamString1,StringparamString2){try{paramSt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9WQGVz.html" rel="bookmark" class="title">使用正则表达式匹配&lbrack;&ast;&ast;&ast;&rsqb;样式的字符串&lowbar;正则表达式</a>
					<div>
						源码如下: 复制代码 代码如下: - (NSUInteger)analyseRX:(NSString *)string withPatternString:(NSString *)patternStr ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
